curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/press_key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"<string>"
],
"duration": 0,
"hold_keys": [
"<string>"
]
}
'{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/press_key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"<string>"
],
"duration": 0,
"hold_keys": [
"<string>"
]
}
'{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Browser session ID
List of key symbols to press. Each item should be a key symbol supported by xdotool (see X11 keysym definitions). Examples include "Return", "Shift", "Ctrl", "Alt", "F5". Items in this list could also be combinations, e.g. "Ctrl+t" or "Ctrl+Shift+Tab".
Duration to hold the keys down in milliseconds. If omitted or 0, keys are tapped.
x >= 0Optional modifier keys to hold during the key press sequence.
Keys pressed successfully